<template>
  <v-row
    align="center"
    justify="center"
  >
    <v-col
      cols="12"
      sm="8"
      lg="3"
      md="4"
      xl="2"
    >
      <v-card class="elevation-16 cardColor" outlined>
        <v-row>
          <v-col
            cols="12"
            md="12"
          >
            <v-card-title>
              <v-row justify="center">
                <v-img
                  src="@/assets/logo_aldo.png"
                  width="100"
                  max-width="160"
                  class="opp"
                />
              </v-row>
            </v-card-title>
            <v-card-text>
              <h4 class="text-center font-weight-bold black--text"><b> {{ $t('warehouseManagement') }} </b></h4>
              <h1 class="text-center text-h3 accent--text font-weight-bold black--text">
                <b> A.L.D.O. </b>
              </h1>

              <v-form
                ref="formSignIn"
                v-model="validSignIn"
                class="pl-12 pr-12"
              >
                <v-text-field
                  v-model="form.email"
                  :label="$t('email')"
                  name="Email"
                  prepend-icon="mdi-email"
                  type="text"
                  @keyup.enter="submit"
                  :rules="emailRules"
                />
                <v-text-field
                  id="password"
                  v-model="form.password"
                  :label="$t('password')"
                  name="password"
                  prepend-icon="mdi-lock"
                  type="password"
                  @keyup.enter="submit"
                  :rules="passwordRules"
                />
              </v-form>
            </v-card-text>
            <div class="text-center my-3">
              <v-btn
                rounded
                color="primary"
                dark
                @click="submit"
                class="opp"
              >
                {{ $t('login') }}
              </v-btn>
            </div>
          </v-col>
        </v-row>
      </v-card>
    </v-col>
  </v-row>
</template>

<script>
  import { mapActions } from 'vuex'

  export default {
    data () {
      return {
        validSignIn: false,
        validSignUp: false,
        // rules
        emailRules: [
          v => !!v || this.$t('campoRequerido'),
          v =>
            /^\w+([.-]?\w+)*@\w+([.-]?\w+)*(\.\w{2,3})+$/.test(v) ||
            this.$t('emailInvalido'),
        ],
        passwordRules: [v => !!v || this.$t('campoRequerido')],
        form: {
          email: '',
          password: '',
        },
      }
    },
    methods: {
      ...mapActions({
        signIn: 'auth/signIn',
      }),
      async submit () {
        if (this.$refs.formSignIn.validate()) {
          await this.signIn(this.form).then(res => {
            this.$router.push({name: 'pedidos'})
            console.log(res)
          }).catch(error => {
            console.log(error)
          })
        }
      },
    },
  }
</script>

<style>

</style>
